Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.property
Class AbstractSingleObjectArcProperty

    java.lang.Object
      org.objectstyle.cayenne.property.SimpleProperty
          org.objectstyle.cayenne.property.AbstractSingleObjectArcProperty

All Implemented Interfaces:
  java.io.Serializable, ArcProperty, Property, PropertyAccessor, SingleObjectArcProperty

Direct Known Subclasses:
  AbstractCollectionProperty, PersistentObjectProperty, ValueHolderProperty

    public abstract class AbstractSingleObjectArcProperty

extends SimpleProperty
implements SingleObjectArcProperty

A base superclass of SingleObjectArcProperty implementors.

Since:
  1.2
Author:
  Andrus Adamchik
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `complimentaryReverseArcName`
`protected ClassDescriptor` | `targetDescriptor`

Fields inherited from class org.objectstyle.cayenne.property.SimpleProperty
`accessor, owner`

Constructor Summary
`AbstractSingleObjectArcProperty(ClassDescriptor owner, ClassDescriptor targetDescriptor, PropertyAccessor accessor, java.lang.String reverseName)`

Method Summary
`ArcProperty` | `getComplimentaryReverseArc()` Returns a complimentary reverse ArcProperty or null if no reverse arc exists.
`ClassDescriptor` | `getTargetDescriptor()` Returns a ClassDescriptor for the type of graph nodes pointed to by this arc property.
`abstract boolean` | `isFault(java.lang.Object target)` Returns whether a target node connected to a given object is an unresolved fault.
`protected void` | `setReverse(java.lang.Object source, java.lang.Object oldTarget, java.lang.Object newTarget)`
`void` | `setTarget(java.lang.Object source, java.lang.Object target, boolean setReverse)`
`boolean` | `visit(PropertyVisitor visitor)`

Methods inherited from class org.objectstyle.cayenne.property.SimpleProperty
`getName, injectValueHolder, readProperty, readPropertyDirectly, shallowMerge, writeProperty, writePropertyDirectly`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.objectstyle.cayenne.property.Property
`injectValueHolder, readProperty, shallowMerge, writeProperty`

Methods inherited from interface org.objectstyle.cayenne.property.PropertyAccessor
`getName, readPropertyDirectly, writePropertyDirectly`

Field Detail

### complimentaryReverseArcName

    protected java.lang.String complimentaryReverseArcName

### targetDescriptor

    protected ClassDescriptor targetDescriptor

Constructor Detail

### AbstractSingleObjectArcProperty

    public AbstractSingleObjectArcProperty(ClassDescriptor owner,
                                           ClassDescriptor targetDescriptor,
                                           PropertyAccessor accessor,
                                           java.lang.String reverseName)

Method Detail

### setTarget

    public void setTarget(java.lang.Object source,
                          java.lang.Object target,
                          boolean setReverse)

  Specified by:
    `setTarget` in interface `SingleObjectArcProperty`

### setReverse

    protected void setReverse(java.lang.Object source,
                              java.lang.Object oldTarget,
                              java.lang.Object newTarget)

### visit

    public boolean visit(PropertyVisitor visitor)

  Specified by:
    `visit` in interface `Property`
  Overrides:
    `visit` in class `SimpleProperty`

### getComplimentaryReverseArc

    public ArcProperty getComplimentaryReverseArc()

  Description copied from interface: `ArcProperty`
  Returns a complimentary reverse ArcProperty or null if no reverse arc exists.

  Specified by:
    `getComplimentaryReverseArc` in interface `ArcProperty`

### getTargetDescriptor

    public ClassDescriptor getTargetDescriptor()

  Description copied from interface: `ArcProperty`
  Returns a ClassDescriptor for the type of graph nodes pointed to by this arc property. Note that considering that a target object may be a subclass of the class handled by the descriptor, users of this method may need to call `ClassDescriptor.getSubclassDescriptor(Class)` before using the descriptor to access objects.

  Specified by:
    `getTargetDescriptor` in interface `ArcProperty`

### isFault

    public abstract boolean isFault(java.lang.Object target)

  Description copied from interface: `ArcProperty`
  Returns whether a target node connected to a given object is an unresolved fault.

  Specified by:
    `isFault` in interface `ArcProperty`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.